#!/bin/sh
#
#	listpackages.sh
#
#	Author: Tim Niiler
# 	Date:	March 11, 2004
#	License: GPL
#	
#	Purpose: In fitting with the modular nature of EZInstaller
#		this program lists the installed packages on the
#		user's system.  Currently, it is configured to
#		scan the directory /var/log/packages for installed 
#		packages on Vector Linux and Slackware type systems
#		but it could easily be configured to detect installed
#		Red Hat packages (for example) as well.  I leave that
#		to someone else.
#
#		Point being, I've left this in script instead of in
#		C code so that it can be modified and dropped in
#		on any system regardless of your package type.
#
#		All you need to do is generate a list of installed 
#		packages and save them in the file:
#			installed_packages.txt
#		in the current directory.
#		

ls /var/log/packages > installed_packages.txt

# That was easy, no?
